CVE-2014-0099

Priority
Medium
Description
Integer overflow in java/org/apache/tomcat/util/buf/Ascii.java in Apache
Tomcat before 6.0.40, 7.x before 7.0.53, and 8.x before 8.0.4, when
operated behind a reverse proxy, allows remote attackers to conduct HTTP
request smuggling attacks via a crafted Content-Length HTTP header.
References
Assigned-to
mdeslaur
Package
Upstream:released (7.0.53-1)
Ubuntu 12.04 LTS (Precise Pangolin):needed
Ubuntu 14.04 LTS (Trusty Tahr):released (7.0.52-1ubuntu0.1)
Ubuntu Touch 15.04:DNE
Ubuntu Core 15.04:DNE
Ubuntu 15.10 (Wily Werewolf):not-affected (7.0.53-1)
Ubuntu 16.04 (Xenial Xerus):not-affected (7.0.53-1)
Patches:
Upstream:http://svn.apache.org/viewvc?view=revision&revision=1578814
Package
Upstream:released (6.0.41-1)
Ubuntu 12.04 LTS (Precise Pangolin):released (6.0.35-1ubuntu3.5)
Ubuntu 14.04 LTS (Trusty Tahr):needed
Ubuntu Touch 15.04:DNE
Ubuntu Core 15.04:DNE
Ubuntu 15.10 (Wily Werewolf):not-affected (6.0.41-1)
Ubuntu 16.04 (Xenial Xerus):not-affected (6.0.41-1)
Patches:
Upstream:http://svn.apache.org/viewvc?view=revision&revision=1580473
Package
Upstream:released (8.0.5-1)
Ubuntu 12.04 LTS (Precise Pangolin):DNE
Ubuntu 14.04 LTS (Trusty Tahr):DNE
Ubuntu Touch 15.04:DNE
Ubuntu Core 15.04:DNE
Ubuntu 15.10 (Wily Werewolf):not-affected (8.0.9-1)
Ubuntu 16.04 (Xenial Xerus):not-affected (8.0.9-1)
More Information

Updated: 2016-04-21 23:18:51 UTC (commit 10924)